FreeBSD : sox -- memory corruption vulnerabilities (9dd761ff-30cb-11e5-a4a5-002590263bf5)

High Nessus Plugin ID 84972


The remote FreeBSD host is missing a security-related update.


Michele Spagnuolo, Google Security Team, reports :

The write heap buffer overflows are related to ADPCM handling in WAV files, while the read heap buffer overflow is while opening a .VOC.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 84972

File Name: freebsd_pkg_9dd761ff30cb11e5a4a5002590263bf5.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2015/07/24

Modified: 2015/07/24

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:sox, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Patch Publication Date: 2015/07/23

Vulnerability Publication Date: 2015/07/22